Arquivo da tag: segurança

Notificação de Upgrade do PHP5.6 para PHP7.0

Informamos que no dia 30 de Agosto de 2017 será feito o upgrade da versão do PHP da 5.6 para 7.0.
A versão 7.0 trás melhorias de performance e segurança, mas junto algumas mudanças que poderão afetar o seu site.
Nós sugerimos que veja com o desenvolvedor do seu website para verificar se o seu site é compatível com a versão 7.0 do PHP.

Segue um resumo das mudanças que poderão afetar o seu site.

Extensões Removidas

  • ereg
  • mssql (deprecada em favor da mssqli)
  • mysql (deprecada em favor da mysqli)
  • sybase_ct

Notamos que um grande número de sites hospedados em nosso provedor ainda usam a extensão mysql que foi deprecada na versão 5.5 do PHP e removida no PHP 7.0. A extensão mysqli é quase um drop-in replacement e na maioria dos casos a simples troca dos comandos da extensão mysql por mysqli deve funcionar.

Para maiores detalhes consulte o guia de migração do PHP7.0: https://secure.php.net/manual/pt_BR/migration70.php

É de suma importância que o seu website seja adequado para a versão 7 do PHP antes da data de migração (30 de agosto de 2017) ou o mesmo poderá deixar de funcionar.

Após a migração não será feita a volta para versão 5.6 em nenhuma circunstância. Por isso ressaltamos a importância de feita a adequação do código.

Testando a vulnerabilidade MS17-010

Fizemos uma pequena ferramenta para o teste da vulnerabilidade MS17-010 (a explorada pelo Ransonware WannaCry, veja informativo Informativo sobre ransom-ware e ciberataque de sexta feira)

A ferramenta é bem simples e pode indicar se o seu computador está vulnerável a falha. Ela pode ser baixada de nosso GitHub: https://github.com/TeskeVirtualSystem/MS17010Test/releases/download/1.0a/MS17010Test.zip

O seu uso requer o .NET Framework 4 instalado.

Para usar, basta abrir o programa e clicar em Teste meu Computador. Um relatório irá aparecer logo abaixo.

Máquina Vulnerável

Continue lendo